LFR-FSW - Bug #52

Taille des TM_LFR_HK incohérente avec I'ICD.
18/02/2014 03:43 PM - Gerald Saule

Status: Closed Start date: 18/02/2014
Priority: High Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Les données brutes sont:

14:56:18.384098, 1L, 2L, OL, OL, 12L, 196L, 192L, 147L, OL, 119L, 16L, 3L, 25L, OL, 128L, OL, 1L, 17L, 221L, 163L, 1L, 13L, OL, 1L,
oL, oL, 1L, OL, OL, 15L, OL, OL, OL, OL, oL, OL, OL, oL, oL, oL, oL, oL, oL, OL, oL, oL, oL, oL, oL, oL, OL, OL, oL, OL, oL, OL, OL, OL, OL,
oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, OL, OL, OL, OL, OL, OL, OL, OL, OL, OL, OL, OL, 146L, OL, OL, OL, OL, OL,
oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, oL, OL, OL,
oL, OL

L'outil d'analyse des TM y associe:
14:56:18.384098, TM_LFR_HK/\Length (byte) - Exp=124, Res=126

A priori, les champs (words) HK_LFR_DPU_SPW_PKT_RCV_CNT, HK_LFR_DPU_SPW_PKT_SENT_CNT (respectivement
positions 80 et 82) sont correctement traités; les octets surnuméraires seraient sont en position>83.

Contexte:

LPPMON: Version=0.2.2 - Branch=default (Changeset=835955994d5f)

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15

LFR FSW: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0001

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 18/02/2014 03:55 PM - paul leroy

- Status changed from New to Resolved

Probléme identifié et corrigé.
rev>=1.0.0.2

#2 - 05/03/2014 02:31 PM - Gerald Saule

Les données brutes sont les suivantes:

14:01:56.291131,1,2,0,0, 12, 196, 192, 1, 0, 117, 16, 3, 25,0, 0, 0, O, 14, 3, 162, 1, 13,0, 1,0, 0, 2,0, 0, 15,0, 0, 0,0, 0,0, 0, 0, 0, 0, 0, 0, O,
0,00,000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,00,0,0,0,0,0,0,0,0,0, 0,0,
0000000000000000000000000000

On retrouve les 4 octets d'en-téte, et les 124 octets de TM_LFR_HK.
On interpréte raisonnablement:
14:01:56.291131, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:

WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1, (PACKET_SEQUENCE_CONTROL=0xc001),
PACKET LENGTH=117, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x0000000e03a2, PA_LFR_HK_REPORT _SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0,
SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED: DISABLED = 0, HK_LFR_RESET CAUSE:
UNKNOWN_CAUSE = 0, SY_LFR_SW_VERSION_N1=1, SY_LFR_SW_VERSION_N2=0, SY_LFR_SW_VERSION_N3=0,
SY_LFR_SW_VERSION_N4=2, SY LFR_FPGA_VERSION_N1=0, SY LFR_FPGA_VERSION_N2=0, SY LFR_FPGA_VERSION_N3=15,
HK_LFR_CPU_LOAD=0.0, HK_LFR_CPU_LOAD_MAX=0.0, HK_LFR_CPU_LOAD_AVE=0.0, HK_LFR_UPDATE_INFO_TC_CNT=0,
HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_EXE_TC_CNT=0, HK_LFR_REJ_TC_CNT=0, HK_LFR_LAST EXE_TC_ID=0x0,
HK_LFR_LAST EXE TC TYPE=0, HK_LFR_LAST EXE TC SUBTYPE=0, HK LFR_LAST EXE_TC_TIME=0x000000000000,
HK_LFR_LAST REJ_TC_ID=0x0, HK_LFR_LAST REJ TC_TYPE=0, HK_LFR_LAST REJ_TC_SUBTYPE=0,

HK_LFR_LAST REJ_TC_TIME=0x000000000000, HK_LFR_LE_CNT=0, HK_LFR_ME_CNT=0, HK_LFR_HE_CNT=0,

HK_LFR_LAST ER_RID: NO_ERROR =0, HK_LFR_LAST ER_CODE: NO ERROR = 0, HK_LFR_LAST_ER_TIME=0x000000000000,
HK_LFR_VHDL_AA=0, HK_LFR_VHDL_SM=0, HK_LFR_VHDL_FFT=0, HK_LFR_VHDL_SR=0, HK_LFR_VHDL_CIC=0,
HK_LFR_VHDL_HK=0, HK_LFR_VHDL_lIR=0, HK_LFR_VHDL_CAL=0, HK_LFR_DPU_SPW_PKT RCV_CNT=0,
HK_LFR_DPU_SPW_PKT SENT CNT=0, HK LFR_DPU_SPW_TICK OUT CNT=0, HK_LFR DPU SPW LAST TIMC=0,
HK_LFR_LAST_FAIL_ADDR=0x0, HK_LFR_TEMP_SCM=0degC, HK_LFR_TEMP_PCB=0degC, HK_LFR_TEMP_FPGA=0degC,
HK_LFR_SC_V_F3=0, HK_LFR SC_E1_F3=0, HK_LFR_SC_E2 F3=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR _DPU_SPW _CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP-=0,
HK_LFR_DPU_SPW_RX_TOO BIG=0, HK_LFR TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=0,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO-=0,
HK_LFR_TIME_TIMECODE_CTR=0, HK_LFR_BUFFER_DPU_TC_FIFO=0, HK_LFR_BUFFER_DPU_TM_FIFO=0,
HK_LFR_AHB_CORRECTABLE=0, HK_LFR_AHB_UNCORRECTABLE=0, SPARE=0x0

=>Cette issue peut étre fermée. check.png

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-lfr_VHDLib206 (Carte mini-LFR)
Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

#3 - 05/03/2014 02:39 PM - Gerald Saule

- Status changed from Resolved to Closed
